"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.splitFile = splitFile;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-split-file' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';

// @ts-expect-error
const isTurboModuleEnabled = global.__turboModuleProxy != null;
const SplitFileModule = isTurboModuleEnabled ? require('./NativeSplitFile').default : _reactNative.NativeModules.SplitFile;
const SplitFile = SplitFileModule ? SplitFileModule : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
async function splitFile(path, chunkSize) {
  const chunkPaths = await SplitFile.splitFileIntoChunks(path, chunkSize);

  // On iOS, the native code returns the paths as NSURL objects, so we need to convert them to strings
  // if (Platform.OS === 'ios') {
  //   return chunkPaths.map((chunkPath) => chunkPath.absoluteString);
  // }

  return chunkPaths;
}
var _default = {
  splitFile
};
exports.default = _default;
//# sourceMappingURL=index.js.map